
    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:power_score_reset')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))
			.addProperty("type_var", "string", "", "null, Inuititve, Empathic, Replication")
			.addProperty("intuitive_care", "string", "False", "True/False")
			.addProperty("remove_powers", "string", "True", "True/False")
            .firstTick((entity, entry, holder, enabled) => {
                if (enabled) {
					const type_var = entry.getPropertyByName('type_var');
					const intuitive_care = entry.getPropertyByName('intuitive_care');
					const remove_powers = entry.getPropertyByName('remove_powers');
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					
					let power_max = global.power_amount;
					entity.server.runCommandSilent("execute as " + username + " at @s run tag @s remove Heroes.Scores.Remove." + type_var + "");
					if (type_var == 'Empathic') {
						if (remove_powers == "True") {
						entity.server.runCommandSilent("execute as " + username + " at @s run superpower remove heroes:empathic_mimicry");
							}
						}
						
						if (type_var == 'Intuitive') {
						if (remove_powers == "True") {
						entity.server.runCommandSilent("execute as " + username + " at @s run superpower remove heroes:intuitive_aptitude");
							}
						}
						
						if (type_var == 'Replication') {
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.ReplicationPower1 0");
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.ReplicationPower2 0");
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.ReplicationPower3 0");
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.ReplicationPower4 0");
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.ReplicationPower5 0");
						}
					if (type_var == 'Empathic' || type_var == 'Intuitive') {	
					for (let power_list = 0; power_list <= power_max; power_list++) {
						let power_cap = global['ability_' + power_list];
						if (intuitive_care == "True" && type_var == 'Intuitive') {
						let scoreboard_obj_temp = scoreboard.getObjective('Heroes.Intuitive.True.Power');
							if (scoreboard_obj_temp != null) {
							let score_temp = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_temp);
							let value_temp = score_temp.getScore();
							
							if (power_list == 33) {
								if (value_temp == 33 || value_temp == 34) {
								power_list == 35
								continue;
								}
							}
							if (power_list == 34) {
								if (value_temp == 33 || value_temp == 34) {
								power_list == 35
								continue;
								}
							}
							if (power_list == value_temp && power_list != 33 && power_list != 34) {
								power_list += 1
								continue;
								}
							}
						}
						
						if (power_cap == "Stockpile") {
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Stockpile." + type_var + ".Energy 0");
						}
						if (power_cap == "Bone_Protrusion") {
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Bone.Var." + type_var + " 0");
						}
						if (power_cap == "Levitation") {
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Levitation.Speed.Base." + type_var + " 0");
						}
						if (power_cap == "Pocket_Reality") {
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Heroes.Pocket.Id." + type_var + " 0");
						}
						
						entity.server.runCommandSilent("execute as " + username + " at @s run scoreboard players set @s Powers." + type_var + "." + power_cap + " 0");
						}
					}
                }
            });
    });